%define realname libnet
Name: %{realname}2
Version: 1.1.0
Release: alt1

Summary: A C library for portable packet creation and injection
Group: System/Libraries
License: BSD-like
Url: http://www.packetfactory.net/%realname
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %url/dist/%realname-%version.tar.bz2
Patch: %realname-1.1.0-alt-autotools.patch

Provides: %realname = %version-%release
Obsoletes: %realname

BuildPreReq: autoconf >= 2.53, automake > 1.6.1

# Automatically added by buildreq on Wed Oct 30 2002
BuildRequires: glibc-devel-static

%package devel
Summary: Development Libnet library, header files, documentation and examples
Group: Development/C
Provides: %realname-devel = %version-%release
Obsoletes: %realname-devel
Conflicts: %{realname}1-devel
Requires: %name = %version-%release

%package devel-static
Summary: Static Libnet library
Group: Development/C
Provides: %realname-devel-static = %version-%release
Obsoletes: %realname-devel-static
Conflicts: %{realname}1-devel-static
Requires: %name-devel = %version-%release

%description
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

%description devel
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

This package contains the static Libnet library, it's header files,
documentation and examples needed to develop Libnet-based applications.

%description devel-static
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

This package contains the static Libnet library required to develop
statically linked Libnet-based applications.

%prep
%setup -q -n Libnet-latest
%patch -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --
find -type f \( -name .cvsignore -o -name .#\* \) -print0 |
	xargs -r0 rm -rf --

%build
autoreconf --force --install --verbose
export ac_cv_prog_AWK=gawk
%configure
%make_build

%install
%makeinstall
rm -rf samples
cp -a sample samples
cp -p include/config.h libtool samples/
pwd=$PWD
pushd samples
	make clean
	rm Makefile.*
	subst 's,\${SHELL} '$pwd'/missing --run ,,g' Makefile
	subst 's,\$(top_srcdir)/src/libnet\.la,/usr/lib/libnet.la,g' Makefile
	subst 's/\.\././g' Makefile
	subst 's/^\(DEFAULT_INCLUDES *= *\).*/\1-I./g' Makefile
	subst 's/^\(DEFS *= *\).*/\1/g' Makefile
	subst 's/^\(Makefile:\).*/\1 Makefile/g' Makefile
popd
%define _customdocdir %_docdir/%realname-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_mandir/man?/*
%doc doc/{BUGS,CHANGELOG,CONTRIB,COPYING,DESIGN_NOTES,MIGRATION,PACKET_BUILDING,PORTED,RAWSOCKET_NON_SEQUITUR,SUPPORTED_PROTOCOLS,TODO} samples

%files devel-static
%_libdir/*.a

%changelog
* Sun Nov 24 2002 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt1
- Updated to 1.1.0
- Ported to autoconf >= 2.53, automake >= 1.6.1
- Libtoolized.
- Renamed to libnet2.

* Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.2a-ipl2mdk
- Moved static libraries to devel-static subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.2a-ipl1mdk
- 1.0.2a

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.2-ipl1mdk
- 1.0.2

* Sat Sep 02 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1b-ipl1mdk
- 1.0.1b
- Build and package shared library too.

* Fri Mar 24 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.0.1

* Wed Mar 15 2000 Dmitry V. Levin <ldv@fandra.org>
- removed Makefile.in from examples
- updated to rpm-3.0.4

* Thu Nov 11 1999 Dmitry V. Levin <ldv@fandra.org>
- 1.0

* Tue Sep 16 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
